[arch-commits] Commit in networkmanager/repos (3 files)

Ionut Biru ibiru at archlinux.org
Sat Jan 9 17:29:21 EST 2010


    Date: Saturday, January 9, 2010 @ 17:29:21
  Author: ibiru
Revision: 62553

Merged revisions 62551 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/networkmanager/trunk

........
  r62551 | ibiru | 2010-01-10 00:27:51 +0200 (Sun, 10 Jan 2010) | 2 lines
  
  upgpkg: networkmanager 0.7.998-2
      added modemmanager as optional dependency and fixed changing hostname and /etc/hosts
........

Added:
  networkmanager/repos/testing-x86_64/disable_set_hostname.patch
    (from rev 62551, networkmanager/trunk/disable_set_hostname.patch)
Modified:
  networkmanager/repos/testing-x86_64/	(properties)
  networkmanager/repos/testing-x86_64/PKGBUILD

----------------------------+
 PKGBUILD                   |   10 +++++++---
 disable_set_hostname.patch |   39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+), 3 deletions(-)


Property changes on: networkmanager/repos/testing-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /networkmanager/trunk:1-62327
   + /networkmanager/trunk:1-62552

Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2010-01-09 22:28:32 UTC (rev 62552)
+++ testing-x86_64/PKGBUILD	2010-01-09 22:29:21 UTC (rev 62553)
@@ -7,25 +7,29 @@
 
 pkgname=networkmanager
 pkgver=0.7.998
-pkgrel=1
+pkgrel=2
 pkgdesc="Network Management daemon"
 arch=('i686' 'x86_64')
 license=('GPL')
 url="http://www.gnome.org/projects/NetworkManager/"
 depends=('wireless_tools' 'iproute2' 'libnl>=1.1' 'ppp' 'dhcpcd>=4.0' 'wpa_supplicant>=0.6.9' 'iptables' 'nss>=3.12.4' 'polkit>=0.95' 'udev>=146')
 makedepends=('pkgconfig' 'intltool')
+optdepends=('modemmanager: for modem management service')
 options=('!libtool' '!makeflags')
 backup=('etc/NetworkManager/nm-system-settings.conf')
 replaces=('libnetworkmanager')
 provides=("libnetworkmanager=${pkgver}")
 conflicts=('libnetworkmanager')
 source=(http://ftp.gnome.org/pub/gnome/sources/NetworkManager/0.7/NetworkManager-${pkgver}.tar.bz2
-	nm-system-settings.conf)
+	nm-system-settings.conf disable_set_hostname.patch)
 sha256sums=(' 5ad5a348b0d3fb3274c11451bc40b1e2cc85e31eab0c56b52eab060103c0b903'
-            '44b048804c7c0b8b3b0c29b8632b6ad613c397d0a1635ec918e10c0fbcdadf21')
+            '44b048804c7c0b8b3b0c29b8632b6ad613c397d0a1635ec918e10c0fbcdadf21'
+	    'fc99590a451e845c428ed8e203612e48a0899ebeaef00e4928936328f71e35b2')
 
 build() {
   cd "${srcdir}/NetworkManager-${pkgver}"
+  patch -Np1 -i $srcdir/disable_set_hostname.patch || return 1
+
   ./configure --prefix=/usr --sysconfdir=/etc \
       --with-distro=arch --localstatedir=/var \
       --libexecdir=/usr/lib/networkmanager \

Copied: networkmanager/repos/testing-x86_64/disable_set_hostname.patch (from rev 62551, networkmanager/trunk/disable_set_hostname.patch)
===================================================================
--- testing-x86_64/disable_set_hostname.patch	                        (rev 0)
+++ testing-x86_64/disable_set_hostname.patch	2010-01-09 22:29:21 UTC (rev 62553)
@@ -0,0 +1,39 @@
+diff -Nur NetworkManager-0.7.998.old/src/NetworkManagerPolicy.c NetworkManager-0.7.998/src/NetworkManagerPolicy.c
+--- NetworkManager-0.7.998.old/src/NetworkManagerPolicy.c	2010-01-03 03:04:56.000000000 +0200
++++ NetworkManager-0.7.998/src/NetworkManagerPolicy.c	2010-01-08 15:21:28.000000000 +0200
+@@ -391,7 +391,7 @@
+ 
+ 		/* No valid IP4 config (!!); fall back to localhost.localdomain */
+ 		msg = g_strdup_printf ("address lookup failed: %d", thread->ret);
+-		set_system_hostname (NULL, msg);
++		//set_system_hostname (NULL, msg);
+ 		g_free (msg);
+ 	} else
+ 		set_system_hostname (thread->hostname, "from address lookup");
+@@ -438,7 +438,7 @@
+ 
+ 	if (!best) {
+ 		/* No best device; fall back to localhost.localdomain */
+-		set_system_hostname (NULL, "no default device");
++		//set_system_hostname (NULL, "no default device");
+ 		return;
+ 	}
+ 
+@@ -462,7 +462,7 @@
+ 	    || (nm_ip4_config_get_num_nameservers (ip4_config) == 0)
+ 	    || (nm_ip4_config_get_num_addresses (ip4_config) == 0)) {
+ 		/* No valid IP4 config (!!); fall back to localhost.localdomain */
+-		set_system_hostname (NULL, "no IPv4 config");
++		//set_system_hostname (NULL, "no IPv4 config");
+ 		return;
+ 	}
+ 
+@@ -473,7 +473,7 @@
+ 	policy->lookup = lookup_thread_new (nm_ip4_address_get_address (addr), lookup_callback, policy);
+ 	if (!policy->lookup) {
+ 		/* Fall back to 'localhost.localdomain' */
+-		set_system_hostname (NULL, "error starting hostname thread");
++		//set_system_hostname (NULL, "error starting hostname thread");
+ 	}
+ }
+ 



More information about the arch-commits mailing list